org.jfree.data.statistics

## Interface MultiValueCategoryDataset

All Superinterfaces:
  CategoryDataset, Dataset, KeyedValues2D, Values2D

All Known Implementing Classes:
  DefaultMultiValueCategoryDataset

    public interface MultiValueCategoryDataset
    extends CategoryDataset

A category dataset that defines multiple values for each item.

Since:
  1.0.7

### Method Summary

Methods
`java.util.List` `getValues(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns a list (possibly empty) of the values for the specified item.
`java.util.List` `getValues(int row, int column)` Returns a list (possibly empty) of the values for the specified item.

### Methods inherited from interface org.jfree.data.KeyedValues2D

`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

### Methods inherited from interface org.jfree.data.Values2D

`getColumnCount, getRowCount, getValue`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Method Detail

#### getValues

    java.util.List getValues(int row,
                           int column)

Returns a list (possibly empty) of the values for the specified item. The returned list should be unmodifiable.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The list of values.

#### getValues

    java.util.List getValues(java.lang.Comparable rowKey,
                           java.lang.Comparable columnKey)

Returns a list (possibly empty) of the values for the specified item. The returned list should be unmodifiable.

Parameters:
  `rowKey` - the row key (`null` not permitted).
  `columnKey` - the column key (`null` not permitted).
Returns:
  The list of values.